数据提供商: Exa
根据自然语言描述在互联网上搜索相关页面(Exa)
每次调用 $0.007 起在 25 秒内响应
根据自然语言描述的含义而不是精确的关键词来搜索网页:Exa的神经检索系统会返回那些内容在含义上与描述最为接近的网页,每页都会显示其标题、链接、发布日期以及作者信息。每次请求提供一条描述,最多返回 25 页。排序是基于语义的,因此在这里,完整的句子比由两个词组成的关键词短语更有效。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the Exa endpoint /search on Glasser.bash
glasser run -p exa -e '/search' -i '{"query":"startups building solid-state batteries for grid storage","numResults":10}' --endpoint-version 1使用接口版本 1。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"exa","endpoint":"/search","input":{"query":"startups building solid-state batteries for grid storage","numResults":10},"endpoint_version":1}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 1,运行前请确认当前价格。
第 2 步尝试一个具体任务
研究问题时,可以搜索相关来源,并判断哪些结果值得进一步阅读。
复制此提示词到你的 Agent,查找研究问题的资料来源。
提示词
Use exa:/search on Glasser.
Search for sources about my research question and explain which returned results are relevant.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"query"
],
"properties": {
"query": {
"type": "string",
"maxLength": 500,
"minLength": 1
},
"category": {
"enum": [
"company",
"publication",
"news",
"personal site",
"financial report",
"people"
],
"type": "string"
},
"contents": {
"type": "object",
"properties": {
"text": {
"type": "object",
"properties": {
"maxCharacters": {
"type": "integer",
"maximum": 10000,
"minimum": 1
}
},
"additionalProperties": false
},
"highlights": {
"type": "object",
"properties": {
"query": {
"type": "string",
"maxLength": 500,
"minLength": 1
},
"maxCharacters": {
"type": "integer",
"maximum": 10000,
"minimum": 1
}
},
"additionalProperties": false
}
},
"additionalProperties": false
},
"numResults": {
"type": "integer",
"maximum": 25,
"minimum": 1
},
"excludeDomains": {
"type": "array",
"items": {
"type": "string",
"pattern": "^(?=.*\\.)(\\*\\.)?[a-z0-9-]+(\\.[a-z0-9-]+)*(\\/[^\\s]*)?$",
"maxLength": 253,
"minLength": 4
},
"maxItems": 50,
"minItems": 1
},
"includeDomains": {
"type": "array",
"items": {
"type": "string",
"pattern": "^(?=.*\\.)(\\*\\.)?[a-z0-9-]+(\\.[a-z0-9-]+)*(\\/[^\\s]*)?$",
"maxLength": 253,
"minLength": 4
},
"maxItems": 50,
"minItems": 1
},
"endPublishedDate": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,3})?Z$"
},
"startPublishedDate": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,3})?Z$"
}
},
"additionalProperties": false
}json
{
"query": "startups building solid-state batteries for grid storage",
"numResults": 10
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 基础费用 | 包含最多 10 条结果。仅在返回数据时收费。 | $0.007 |
|---|---|---|
| 额外条结果的单价 | 超出前 10 个单位的部分,按每条结果计费。 | $0.001 |
| 每次运行的费用上限 | 总费用不会超过此金额。 | $0.022 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |